Tango Device Server User's Guide

EUROPEAN SYNCHROTRON RADIATION FACILITY ##### INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON |

Main Page Namespace List Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TangoTest::TangoTest Class Reference

Class Description: A device to test generic clients. More...

`#include <TangoTest.h>`

List of all members.

## Public Methods
void | gen_data (void)
| Generates dummy attribute values. More...
Constructors
Miscellaneous constructors
| TangoTest (Tango::DeviceClass *, string &)
| Constructs a newly allocated Command object. More...
| TangoTest (Tango::DeviceClass *, const char *)
| Constructs a newly allocated Command object. More...
| TangoTest (Tango::DeviceClass *, const char *, const char *)
| Constructs a newly allocated Command object. More...
Destructor
Only one desctructor is defined for this class
| ~TangoTest ()
| The object desctructor. More...
Miscellaneous methods
virtual void | init_device ()
| Initialize the device. More...
virtual void | delete_device ()
| Initialize the device. More...
virtual void | always_executed_hook ()
| Always executed method befor execution command method. More...
TangoTest methods prototypes
virtual void | read_attr_hardware (vector< long > &attr_list)
| Hardware acquisition for attributes. More...
virtual void | read_attr (Tango::Attribute &attr)
| Extract real attribute values from hardware acquisition result. More...
virtual void | write_attr_hardware (vector< long > &attr_list)
| Write attribute values to hardware. More...
void | dev_void ()
| method: TangoTest::dev_void. More...
Tango::DevBoolean | dev_boolean (Tango::DevBoolean)
| method: TangoTest::dev_boolean. More...
Tango::DevShort | dev_short (Tango::DevShort)
| method: TangoTest::dev_short. More...
Tango::DevUShort | dev_ushort (Tango::DevUShort)
| method: TangoTest::dev_ushort. More...
Tango::DevLong | dev_long (Tango::DevLong)
| method: TangoTest::dev_long. More...
Tango::DevULong | dev_ulong (Tango::DevULong)
| method: TangoTest::dev_ulong. More...
Tango::DevFloat | dev_float (Tango::DevFloat)
| method: TangoTest::dev_float. More...
Tango::DevDouble | dev_double (Tango::DevDouble)
| method: TangoTest::dev_double. More...
Tango::DevString | dev_string (Tango::DevString)
| method: TangoTest::dev_string. More...
Tango::DevVarCharArray * | dev_var_char_array (const Tango::DevVarCharArray *)
| method: TangoTest::dev_var_char_array. More...
Tango::DevVarShortArray * | dev_var_short_array (const Tango::DevVarShortArray *)
| method: TangoTest::dev_var_short_array. More...
Tango::DevVarUShortArray * | dev_var_ushort_array (const Tango::DevVarUShortArray *)
| method: TangoTest::dev_var_ushort_array. More...
Tango::DevVarLongArray * | dev_var_long_array (const Tango::DevVarLongArray *)
| method: TangoTest::dev_var_long_array. More...
Tango::DevVarULongArray * | dev_var_ulong_array (const Tango::DevVarULongArray *)
| method: TangoTest::dev_var_ulong_array. More...
Tango::DevVarFloatArray * | dev_var_float_array (const Tango::DevVarFloatArray *)
| method: TangoTest::dev_var_float_array. More...
Tango::DevVarDoubleArray * | dev_var_double_array (const Tango::DevVarDoubleArray *)
| method: TangoTest::dev_var_double_array. More...
Tango::DevVarStringArray * | dev_var_string_array (const Tango::DevVarStringArray *)
| method: TangoTest::dev_var_string_array. More...
Tango::DevVarLongStringArray * | dev_var_long_string_array (const Tango::DevVarLongStringArray *)
| method: TangoTest::dev_var_long_string_array. More...
Tango::DevVarDoubleStringArray * | dev_var_double_string_array (const Tango::DevVarDoubleStringArray *)
| method: TangoTest::dev_var_double_string_array. More...
void | get_device_property ()
| Read the device properties from database. More...
## Public Attributes
attributes
Attributs member data.
Tango::DevShort * | attr_short_scalar_ro_read
Tango::DevShort * | attr_short_scalar_read
Tango::DevShort | attr_short_scalar_write
Tango::DevLong * | attr_long_scalar_read
Tango::DevLong | attr_long_scalar_write
Tango::DevDouble * | attr_double_scalar_read
Tango::DevDouble | attr_double_scalar_write
Tango::DevString * | attr_string_scalar_read
Tango::DevString | attr_string_scalar_write
Tango::DevShort * | attr_short_spectrum_read
Tango::DevLong * | attr_long_spectrum_read
Tango::DevDouble * | attr_double_spectrum_read
Tango::DevShort * | attr_short_image_read
Tango::DevLong * | attr_long_image_read
Tango::DevDouble * | attr_double_image_read
Tango::DevShort | attr_short_scalar_w_write
Tango::DevShort * | attr_short_scalar_rww_read
Tango::DevLong | attr_long_scalar_w_write
Tango::DevLong * | attr_long_scalar_rww_read
Tango::DevDouble | attr_double_scalar_w_write
Tango::DevDouble * | attr_double_scalar_rww_read
Tango::DevDouble | attr_ampli_write
Tango::DevDouble * | attr_wave_read
## Protected Attributes
short | mthreaded_impl
long | sleep_period
omni_mutex | lock
DataGenerator * | data_gen
## Friends
class | DataGenerator

## Detailed Description

Class Description: A device to test generic clients.

It offers a "echo" like command for each TANGO data type (i.e. each command returns an exact copy of <argin>).

## Constructor & Destructor Documentation

TangoTest::TangoTest::TangoTest | ( | Tango::DeviceClass * | cl,
|  | string & | s
| ) |

  | Constructs a newly allocated Command object. Parameters:
  cl | Class.
  s | Device Name

TangoTest::TangoTest::TangoTest | ( | Tango::DeviceClass * | cl,
|  | const char * | s
| ) |

  | Constructs a newly allocated Command object. Parameters:
  cl | Class.
  s | Device Name

TangoTest::TangoTest::TangoTest | ( | Tango::DeviceClass * | cl,
|  | const char * | s,
|  | const char * | d
| ) |

  | Constructs a newly allocated Command object. Parameters:
  cl | Class.
  s | Device name
  d | Device description.

TangoTest::TangoTest::~TangoTest | ( |  | ) |

| The object desctructor.

## Member Function Documentation

void TangoTest::TangoTest::always_executed_hook | ( |  | ) | `[virtual]`

| Always executed method befor execution command method.

void TangoTest::TangoTest::delete_device | ( |  | ) | `[virtual]`

| Initialize the device.

Tango::DevBoolean TangoTest::TangoTest::dev_boolean | ( | Tango::DevBoolean | argin | ) |

  | method: TangoTest::dev_boolean. Parameters:
  argin | Any boolean value
  Returns: Echo of the argin value Exceptions:
  DevFailed |

Tango::DevDouble TangoTest::TangoTest::dev_double | ( | Tango::DevDouble | argin | ) |

  | method: TangoTest::dev_double. Parameters:
  argin | Any DevDouble value
  Returns: Echo of the argin value Exceptions:
  DevFailed |

Tango::DevFloat TangoTest::TangoTest::dev_float | ( | Tango::DevFloat | argin | ) |

  | method: TangoTest::dev_float. Parameters:
  argin | Any DevFloat value
  Returns: Echo of the argin value Exceptions:
  DevFailed |

Tango::DevLong TangoTest::TangoTest::dev_long | ( | Tango::DevLong | argin | ) |

  | method: TangoTest::dev_long. Parameters:
  argin | Any DevLong value
  Returns: Echo of the argin value Exceptions:
  DevFailed |

Tango::DevShort TangoTest::TangoTest::dev_short | ( | Tango::DevShort | argin | ) |

  | method: TangoTest::dev_short. Parameters:
  argin | Any DevShort value
  Returns: Echo of the argin value Exceptions:
  DevFailed |

Tango::DevString TangoTest::TangoTest::dev_string | ( | Tango::DevString | argin | ) |

  | method: TangoTest::dev_string. Parameters:
  argin | -
  Returns: - Exceptions:
  DevFailed |

Tango::DevULong TangoTest::TangoTest::dev_ulong | ( | Tango::DevULong | argin | ) |

  | method: TangoTest::dev_ulong. Parameters:
  argin | Any DevULong
  Returns: Echo of the argin value Exceptions:
  DevFailed |

Tango::DevUShort TangoTest::TangoTest::dev_ushort | ( | Tango::DevUShort | argin | ) |

  | method: TangoTest::dev_ushort. Parameters:
  argin | Any DevUShort value
  Returns: Echo of the argin value Exceptions:
  DevFailed |

Tango::DevVarCharArray * TangoTest::TangoTest::dev_var_char_array | ( | const Tango::DevVarCharArray * | argin | ) |

  | method: TangoTest::dev_var_char_array. Parameters:
  argin | -
  Returns: - Exceptions:
  DevFailed |

Tango::DevVarDoubleArray * TangoTest::TangoTest::dev_var_double_array | ( | const Tango::DevVarDoubleArray * | argin | ) |

  | method: TangoTest::dev_var_double_array. Parameters:
  argin | -
  Returns: - Exceptions:
  DevFailed |

Tango::DevVarDoubleStringArray * TangoTest::TangoTest::dev_var_double_string_array | ( | const Tango::DevVarDoubleStringArray * | argin | ) |

  | method: TangoTest::dev_var_double_string_array. Parameters:
  argin | -
  Returns: - Exceptions:
  DevFailed |

Tango::DevVarFloatArray * TangoTest::TangoTest::dev_var_float_array | ( | const Tango::DevVarFloatArray * | argin | ) |

  | method: TangoTest::dev_var_float_array. Parameters:
  argin | -
  Returns: - Exceptions:
  DevFailed |

Tango::DevVarLongArray * TangoTest::TangoTest::dev_var_long_array | ( | const Tango::DevVarLongArray * | argin | ) |

  | method: TangoTest::dev_var_long_array. Parameters:
  argin | -
  Returns: - Exceptions:
  DevFailed |

Tango::DevVarLongStringArray * TangoTest::TangoTest::dev_var_long_string_array | ( | const Tango::DevVarLongStringArray * | argin | ) |

  | method: TangoTest::dev_var_long_string_array. Parameters:
  argin | -
  Returns: - Exceptions:
  DevFailed |

Tango::DevVarShortArray * TangoTest::TangoTest::dev_var_short_array | ( | const Tango::DevVarShortArray * | argin | ) |

  | method: TangoTest::dev_var_short_array. Parameters:
  argin | -
  Returns: - Exceptions:
  DevFailed |

Tango::DevVarStringArray * TangoTest::TangoTest::dev_var_string_array | ( | const Tango::DevVarStringArray * | argin | ) |

  | method: TangoTest::dev_var_string_array. Parameters:
  argin | -
  Returns: - Exceptions:
  DevFailed |

Tango::DevVarULongArray * TangoTest::TangoTest::dev_var_ulong_array | ( | const Tango::DevVarULongArray * | argin | ) |

  | method: TangoTest::dev_var_ulong_array. Parameters:
  argin | -
  Returns: - Exceptions:
  DevFailed |

Tango::DevVarUShortArray * TangoTest::TangoTest::dev_var_ushort_array | ( | const Tango::DevVarUShortArray * | argin | ) |

  | method: TangoTest::dev_var_ushort_array. Parameters:
  argin | -
  Returns: - Exceptions:
  DevFailed |

void TangoTest::TangoTest::dev_void | ( |  | ) |

  | method: TangoTest::dev_void. Exceptions:
  DevFailed |

void TangoTest::TangoTest::gen_data | ( | void |  | ) |

| Generates dummy attribute values.

void TangoTest::TangoTest::get_device_property | ( | void |  | ) |

| Read the device properties from database.

void TangoTest::TangoTest::init_device | ( |  | ) | `[virtual]`

| Initialize the device.

void TangoTest::TangoTest::read_attr | ( | Tango::Attribute & | attr | ) | `[virtual]`

| Extract real attribute values from hardware acquisition result.

void TangoTest::TangoTest::read_attr_hardware | ( | vector< long > & | attr_list | ) | `[virtual]`

| Hardware acquisition for attributes.

void TangoTest::TangoTest::write_attr_hardware | ( | vector< long > & | attr_list | ) | `[virtual]`

| Write attribute values to hardware.

## Friends And Related Function Documentation

friend class DataGenerator`[friend]`

## Member Data Documentation

Tango::DevDouble TangoTest::TangoTest::attr_ampli_write

Tango::DevDouble* TangoTest::TangoTest::attr_double_image_read

Tango::DevDouble* TangoTest::TangoTest::attr_double_scalar_read

Tango::DevDouble* TangoTest::TangoTest::attr_double_scalar_rww_read

Tango::DevDouble TangoTest::TangoTest::attr_double_scalar_w_write

Tango::DevDouble TangoTest::TangoTest::attr_double_scalar_write

Tango::DevDouble* TangoTest::TangoTest::attr_double_spectrum_read

Tango::DevLong* TangoTest::TangoTest::attr_long_image_read

Tango::DevLong* TangoTest::TangoTest::attr_long_scalar_read

Tango::DevLong* TangoTest::TangoTest::attr_long_scalar_rww_read

Tango::DevLong TangoTest::TangoTest::attr_long_scalar_w_write

Tango::DevLong TangoTest::TangoTest::attr_long_scalar_write

Tango::DevLong* TangoTest::TangoTest::attr_long_spectrum_read

Tango::DevShort* TangoTest::TangoTest::attr_short_image_read

Tango::DevShort* TangoTest::TangoTest::attr_short_scalar_read

Tango::DevShort* TangoTest::TangoTest::attr_short_scalar_ro_read

Tango::DevShort* TangoTest::TangoTest::attr_short_scalar_rww_read

Tango::DevShort TangoTest::TangoTest::attr_short_scalar_w_write

Tango::DevShort TangoTest::TangoTest::attr_short_scalar_write

Tango::DevShort* TangoTest::TangoTest::attr_short_spectrum_read

Tango::DevString* TangoTest::TangoTest::attr_string_scalar_read

Tango::DevString TangoTest::TangoTest::attr_string_scalar_write

Tango::DevDouble* TangoTest::TangoTest::attr_wave_read

DataGenerator* TangoTest::TangoTest::data_gen`[protected]`

omni_mutex TangoTest::TangoTest::lock`[protected]`

short TangoTest::TangoTest::mthreaded_impl`[protected]`

long TangoTest::TangoTest::sleep_period`[protected]`

The documentation for this class was generated from the following files:

- TangoTest.h
- TangoTest.cpp

Tango Device Server User's Guide

### (c) ESRF - Software Engineering Group